Last Comment Bug 368705 - Remove gmail.rdf from SeaMonkey
: Remove gmail.rdf from SeaMonkey
Status: NEW
: fixed-seamonkey1.1.1
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Account Configuration (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Manuel Reimer
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-30 08:53 PST by Manuel Reimer
Modified: 2009-03-24 14:13 PDT (History)
7 users (show)
kairo: blocking‑seamonkey1.1.1-
kairo: blocking‑seamonkey2.0a1-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (landed on 1.8 branch only) (868 bytes, patch)
2007-01-30 08:57 PST, Manuel Reimer
mnyromyr: review+
mozilla: superreview+
csthomas: approval‑seamonkey1.1.1+
Details | Diff | Review

Description Manuel Reimer 2007-01-30 08:53:55 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.8.0.9) Gecko/20061222 SeaMonkey/1.0.7
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20070116 SeaMonkey/1.5a

With Bug 359900 a "gmail.rdf" came into the code, shared between SeaMonkey and Thunderbird.

I don't think this is needed in SeaMonkey. Gmail is just one mail provider out of a few hundred ones, so why should we advertise for Gmail.

I vote for removing it from SeaMonkey. Patch follows.

Reproducible: Always
Comment 1 Manuel Reimer 2007-01-30 08:57:51 PST
Created attachment 253343 [details] [diff] [review]
Patch (landed on 1.8 branch only)
Comment 2 David :Bienvenu 2007-01-30 09:05:07 PST
It's up to Seamonkey if you want to make it easy to add accounts for isp users (Seamonkey's target users may very well not care), but the plan in TB is for other isp's to contribute their own isp files for use in TB. Yahoo is contributing serveral for the various domains they support, and I suspect others might also contribute their own files. In other words, GMail is just the start.
Comment 3 Karsten Düsterloh 2007-01-30 09:30:16 PST
The problem I see with that: 
Who all do you want to add? 
Who would you reject, based upon which criteria? US? Localized? 
(There are even trademark issues with GMail in DE and the UK...)
How many would you be adding? The dialog as such is rather small.

Not to mention debianic nerds crying 'you sold out to Google'. ;-)
Comment 4 David :Bienvenu 2007-01-30 09:36:22 PST
Having too many isp's provide their data files would be what we call a "quality problem". I.e., a good problem. If that happens, we would change the new account setup so that one of your choices was something like "My ISP" and then you'd have some sort of picker based on ISP name (perhaps a drop down menu).
Comment 5 Karsten Düsterloh 2007-01-30 12:25:39 PST
I'll leave this dangling for now until close to the next SM release. If there's still only GMail there then, it'll get dropped from the release. If we get other ISPs - the better.

But it might be better to put these ISP files into amo or mozdev hosted extensions and provide a link "get isp data for your locale". That way, changing their server config won't hurt a released version (too much)...
Comment 6 Stefan [:stefanh] 2007-02-13 12:02:09 PST
(In reply to comment #5)
> I'll leave this dangling for now until close to the next SM release. If there's
> still only GMail there then, it'll get dropped from the release. If we get
> other ISPs - the better.

Mac has more than Gmail... (.mac)  :P

Comment 7 Mark Banner (:standard8) 2007-02-13 12:09:39 PST
See also bug 367562 "Trademark Issues with Gmail.RDF"
Comment 8 Robert Kaiser (not working on stability any more) 2007-02-13 12:12:11 PST
I don't think we'll hold off any release for this, but I'll leave the decision what to do up to Karsten as the SeaMonkey mail owner.
I personally would prefer such info to be available as easy-to-find extensions... Well, and if Google (or some other ISP) sponsors us (e.g. pay all our trips to some dev meeting in MV or so), then we can talk about including their info by default - or whatever ;-)
Of course, if we have a big list of ISPs included by default, that may also be a good choice, easing user experience...
Comment 9 Karsten Düsterloh 2007-02-14 06:57:54 PST
Comment on attachment 253343 [details] [diff] [review]
Patch (landed on 1.8 branch only) 

SM 1.1.1 is coming, but no other vendor's rdf are there -> don't ship GMail.
Comment 10 Robert Kaiser (not working on stability any more) 2007-02-14 07:27:16 PST
Comment on attachment 253343 [details] [diff] [review]
Patch (landed on 1.8 branch only) 

first-a=me for 1.1.1, one still needed to go
Comment 11 Stefan [:stefanh] 2007-02-14 08:00:11 PST
Comment on attachment 253343 [details] [diff] [review]
Patch (landed on 1.8 branch only) 



So... this leaves nix/win with no ISP and mac with *one* ISP (dotmac.rdf). Is that intentional (see my previous comment)?
Comment 12 Karsten Düsterloh 2007-02-14 13:29:12 PST
To summarize an IRC discussion on this very topic:
- We *do* have Google as our default search engine and won't that, because Google is renowned for its search engine, but _not_ for its mail service (and there are lots of other mail service providers).
- Given Google's strong involvement with MoFo, having only GMail as a vendor in this wizard just looks suspicious even though (we know) we're not bribed or something, of course ;-)
- .Mac is owned by Apple, de facto the OS provider. And it's only visible for a rather small part of our community, as compared to Linux and Windows.
- MS did't/noone did provide a Hotmail.rdf (yet?)... ;-)

We're discussing ways/ideas for easy inclusion/generation of such ISP.rdf files, other bugs will be filed on that.
Comment 13 Karsten Düsterloh 2007-02-15 12:09:53 PST
I landed this ONLY on MOZILLA_1_8_BRANCH for now, leaving this bug open for an eventual trunk fix (though that may not be necessary - we'll see).
Comment 14 Karsten Düsterloh 2009-03-24 12:07:25 PDT
This is kind of fixed since Thunderbird implemented bug 367562: gmail.rdf/googlemail.rdf is not build from /mailnews anymore, but from TB's l10n tree, using l10n/de/mail/isp/isps.txt as a list of template names.

Note You need to log in before you can comment on or make changes to this bug.